package com.zd.smartlock.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 实验室关联对象 sl_subject_relation
 *
 * @author zd
 * @date 2022-09-03
 */
@ApiModel("实验室关联")
public class SlSubjectRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    /** 实验室名称 */
    @Excel(name = "实验室名称")
    @Length(message = "实验室名称长度不能超过50")
    @ApiModelProperty(value = "实验室名称")
    private String subjectName;
    /** 房间id */
    @Excel(name = "房间id")
    @Length(message = "房间id长度不能超过255")
    @ApiModelProperty(value = "房间id")
    private String lockRoomId;
    /** 门锁编号 */
    @Excel(name = "门锁编号")
    @Length(message = "门锁编号长度不能超过255")
    @ApiModelProperty(value = "门锁编号")
    private String lockCode;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date creatTime;
    /** 房间位置 */
    @Excel(name = "房间位置")
    @Length(message = "房间位置长度不能超过255")
    @ApiModelProperty(value = "房间位置")
    private String roomLocation;

    /** 房间名称 */
    @Excel(name = "房间名称")
    @Length(message = "房间名称长度不能超过255")
    @ApiModelProperty(value = "房间名称")
    private String roomName;

    /** 实验室位置 */
    @Excel(name = "实验室位置")
    @Length(message = "实验室位置长度不能超过255")
    @ApiModelProperty(value = "实验室位置")
    private String subjectLocation;

    /** 学院 */
    @Excel(name = "学院")
    @Length(message = "学院长度不能超过255")
    @ApiModelProperty(value = "学院")
    private String college;

    @ApiModelProperty(value = "安全负责人id")
    private Long safeUserId;

    @ApiModelProperty(value = "安全负责人姓名")
    private String safeUserName;

    @ApiModelProperty(value = "安全负责人电话")
    private String safeUserPhone;

    private Long deptId;

    private String deptName;

    private Long userId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getLockRoomId() {
        return lockRoomId;
    }

    public void setLockRoomId(String lockRoomId) {
        this.lockRoomId = lockRoomId;
    }

    public String getLockCode() {
        return lockCode;
    }

    public void setLockCode(String lockCode) {
        this.lockCode = lockCode;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getRoomLocation() {        return roomLocation;    }

    public void setRoomLocation(String roomLocation) {        this.roomLocation = roomLocation;    }

    public String getRoomName() {        return roomName;    }

    public void setRoomName(String roomName) {        this.roomName = roomName;    }

    @Override
    public Long getDeptId() {        return deptId;    }

    @Override
    public void setDeptId(Long deptId) {        this.deptId = deptId;    }

    @Override
    public Long getUserId() {        return userId;    }

    @Override
    public void setUserId(Long userId) {        this.userId = userId;    }

    public String getSubjectLocation() {        return subjectLocation;    }

    public void setSubjectLocation(String subjectLocation) {        this.subjectLocation = subjectLocation;    }

    public String getCollege() {        return college;    }

    public void setCollege(String college) {
        this.college = college;
    }

    public Long getSafeUserId() {        return safeUserId;    }

    public void setSafeUserId(Long safeUserId) {        this.safeUserId = safeUserId;    }

    public String getSafeUserName() {        return safeUserName;    }

    public void setSafeUserName(String safeUserName) {        this.safeUserName = safeUserName;    }

    public String getSafeUserPhone() {        return safeUserPhone;    }

    public void setSafeUserPhone(String safeUserPhone) {        this.safeUserPhone = safeUserPhone;    }
}
